<?php
################################################################################
### This disclaimer must be kept intact in order to use this product.        ###
################################################################################
### Project: jT CarFramework [http://intersofts.com]
### Author: J. Toshio Taniguchi
### Since: 27.04.2011
### Version: 1.0.0
### Copyrights: J. Toshio Taniguchi
### Contact: j.taniguchi@taniguchi-blog.com
################################################################################
### CONTRIBUTORS
### - none
################################################################################
class admineditemailtemplate
{
    protected $lang;
    protected $form_status = false;
    protected $form_message;
    protected $form_style = 'alert-error';
    protected $template_metadata;


    /*
     * Constructor -------------------------------------------------------------
     */
    public function admineditemailtemplate($lang=array())
    {
        $this->lang = $lang;
        
        // handle save template.
        if( isset($_POST['template']) )
        {
            $this->handleForm();
        }
        
        // load template metadata.
        $this->loadTemplateMetadata();
    }
    
    /*
     * Protected method: load template metadata --------------------------------
     * @return void.
     */
    protected function loadTemplateMetadata()
    {
        $path = BASE_ROOT . 'view/email/template.html';
        
        if( !file_exists($path) )
        {
            $this->template_metadata = '';
        }
        else
        {
            if( $fo = @fopen($path, 'r') )
            {
                if( !$data = @fread($fo, filesize($path)) )
                {
                    require_once BASE_CLASS . 'class-log.php';
                
                    LogReport::write('Unable to read sendmail template at ' . __FILE__ . ':' . __LINE__ . '. Probable cause: access denied (read).');

                    $this->template_metadata = '';
                }
                else
                {
                    $this->template_metadata = $data;
                }
                
                @fclose($fo);
            }
            else
            {
                require_once BASE_CLASS . 'class-log.php';
                
                LogReport::write('Unable to load sendmail template at ' . __FILE__ . ':' . __LINE__ . '.');
                
                $this->template_metadata = '';
            }
        }
    }
    
    /*
     * Protected method: handle form -------------------------------------------
     * @return void.
     */
    protected function handleForm()
    {
        // validate.
        $template = trim($_POST['template']);
        $template = stripslashes($template);
        
        // you can add other validations here. I'll leave this up to the admin.
        
        // update template source.
        $path = BASE_ROOT . 'view/email/template.html';
        
        if( !$fo = @fopen($path, 'w') )
        {
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            $this->form_message = $this->lang['TEMPLATE_FOPEN_ERROR'];
            
            require_once BASE_CLASS .'class-log.php';
            LogReport::write('Unable to open template.html for writting. Probable cause: read access denied. Check file permissions.');
            
            return;
        }
        
        if( !@fwrite($fo, $template) )
        {
            @fclose($fo);
            
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            $this->form_message = $this->lang['TEMPLATE_FWRITE_ERROR'];
            
            require_once BASE_CLASS .'class-log.php';
            LogReport::write('Unable to write template.html content. Probable cause: write access denied. Check file permissions.');
            
            return;
        }
        
        @fclose($fo);
        
        $this->form_status = true;
        $this->form_style = 'alert-success';
        $this->form_message = $this->lang['TEMPLATE_UPDATE_SUCCESS'];
    }

    /*
     * Public method: get template metadata ------------------------------------
     * @return string.
     */
    public function getTemplateMetadata()
    {
        return $this->template_metadata;
    }
    
    /*
     * Public method: get form status ------------------------------------------
     * @return bool.
     */
    public function getFormStatus()
    {
        return $this->form_status;
    }
    
    /*
     * Public method: get form style -------------------------------------------
     * @return string (alert-error|alert-warning|alert-info)
     */
    public function getFormStyle()
    {
        return $this->form_style;
    }
    
    /*
     * Public method: get form message -----------------------------------------
     * @return string.
     */
    public function getFormMessage()
    {
        return $this->form_message;
    }    
}